﻿Type=Activity
Version=7.01
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

	Private mItemHeight As Int
	Private mCLVMaxHeight As Int
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Private CLV As CustomListView
	Private pnlBottom As Panel
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("layMain")

	mItemHeight = CLV.AsView.Height
	mCLVMaxHeight = pnlBottom.Top - 5dip - CLV.AsView.Top
	
	
	CLV.AsView.Color = Colors.Yellow ' just to... "see" the divider
	For i = 1 To 20
		AddNewRow(CLV)
	Next

End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub AddNewRow(pCLV As CustomListView)
	pCLV.Add(CreateItem, mItemHeight, "")
	ResizeCLV
End Sub

Sub ResizeCLV
	Dim sv As ScrollView = CLV.AsView
	sv.Panel.Height = CLV.GetSize * mItemHeight
	CLV.AsView.Height = Min(sv.Panel.Height, mCLVMaxHeight)
End Sub

Sub CreateItem As Panel
	Dim pnl As Panel
	pnl.Initialize("")
	Activity.AddView(pnl, 0, 0, CLV.AsView.Width, mItemHeight)
	pnl.LoadLayout("layitem")
	pnl.RemoveView
	Return pnl
End Sub